{% import "apostrophe-templates:macros/arrowSvg.html" as arrowSvg %}

{% macro render(project) %}

    <div class="{{ project.size }} project-block appear" id="project_{{ project._id }}">

        <div data-drawer class="absolute-drawer-body">
            {{ apos.area(project, 'content', { edit: false }) }}
        </div>

        <img class="fit cover" src="{{ apos.attachments.url(apos.images.first( project.image )) }}"/>
        <div class="project-hover" >
            <div class="hover-text" style="background-color: {% if project.backgroundColor  %} {{ project.backgroundColor }} {% else %} #000 {% endif %}; color: {% if project.textColor %}{{ project.textColor }}{% else %} #fff {% endif %};">
                <div class="project-company">{{ project.company }}</div>
                <div class="project-tagline">{{ apos.singleton( project, 'tagline', { draggable : false } ) }}</div>
                <div class="project-type">{{ project.projectType }}</div>
            </div>
            <a href="{{ project.pageLink.items[0]._page._url }}" class="hover-button" style="background-color: {% if project.arrowBackground %}{{ project.arrowBackground }} {% else %} #da2c30 {% endif %};">
                <div class="arrow">
                    {{ arrowSvg.render(project) }}
                </div>

            </a>
        </div>

    </div>

{% endmacro %}